org.apache.tomcat.util.http.parser

## Class Upgrade

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Upgrade

-     public class Upgrade
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProtocolName()`
    `String` | `getProtocolVersion()`
    `static List<Upgrade>` | `parse(Enumeration<String> headerValues)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getProtocolName

          public String getProtocolName()

    - #### getProtocolVersion

          public String getProtocolVersion()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### parse

          public static List<Upgrade> parse(Enumeration<String> headerValues)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.